import * as unplugin from 'unplugin';
import { Options } from './types.cjs';
import * as ts from 'typescript/lib/tsserverlibrary';
import * as vue from '@vue/language-core';

declare function createLanguage(tsconfigPath: string, ts?: typeof ts): {
    updateFile(fileName: string, text: string): void;
    deleteFile(fileName: string): void;
    reload(): void;
    clearCache(): void;
    findScriptRangesNode: (filepath: string, filter: (ranges: vue.ScriptSetupRanges) => vue.TextRange | undefined) => {
        node: ts.Node;
        range: vue.TextRange;
    } | undefined;
    __internal__: {
        tsLs: ts.LanguageService;
        program: ts.Program;
        typeChecker: ts.TypeChecker;
    };
};
type Language = ReturnType<typeof createLanguage>;
declare function ensureLanguage(tsconfigPath: string): void;
declare function getLanguage(): Language;

declare const _default: unplugin.UnpluginInstance<Options | undefined, boolean>;

export { _default as default, ensureLanguage, getLanguage };
